<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
    	<title></title>
		<!--MqRelPath--><link rel="stylesheet" type="text/css" href="../../theme/css/censusmain.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css"/></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js" ></script></MqAbsPath-->
    	<!--MqRelPath--><script type="text/javascript" src="../../js/keylistener.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/keylistener.js" ></script></MqAbsPath-->

		<script type="text/javascript">
		
		var m_objRef = parent;
		var m_objTabsMgr=m_objRef.objTabsMgr;
        var m_objMqButton=new MqButton();
		var m_objControlsUi;
		var lngPagingObjWidth = 0;
		var lngClipsObjWidth = 0;
		
		if(m_objRef.objControlsUi){
			m_objControlsUi=m_objRef.objControlsUi;				 
		}
			
		var m_objRef = parent;
        var strTabJs="";
        strTabJs=unescape(g_MqRef.MqStr.GetQueryStringValue(location.search,"TabsJs"));
  		if (!strTabJs){
  			strTabJs="tabs.js";
  		}
        function Page_OnLoad()
        {
			    if(m_objControlsUi){
            	m_objControlsUi.refreshControlsState();
				}
        }
        
        function Page_OnResize()
        {
            m_objTabsMgr.TabStrip_OnResize(GetWindowWidth());
        }
		
        function GetWindowWidth() 
        {
            var lngWindWidth=0;
            
            if (window.innerWidth){
             lngWindWidth=window.innerWidth;
            }else{
             lngWindWidth=document.body.clientWidth;
            }
            return lngWindWidth;
        }

		function ShowTabs(){
			var lngReservedWidth=0;
			//lngReservedWidth = lngReservedWidth + lngClipsObjWidth + lngPagingObjWidth;
			if(document.getElementById('cmdViewHistory')){
				lngReservedWidth = document.getElementById('cmdViewHistory').style.width.replace('px','');
			}
			m_objTabsMgr.TabsReservedWidth = lngReservedWidth;
			
			
			m_objTabsMgr.SetTabStripTarget("divTabStrip");
			m_objTabsMgr.WriteTabs();
			m_objTabsMgr.Load(null, document, lngReservedWidth);
		}
		
		function OpenRevHistWindow()
	    {	
			var lngRecordID=parent.objRecord.GetRecordId();
			
			if (lngRecordID > 0){
			
				strUrl = "wcRevisionHistory.asp?WCI=RevisionHistory&CIssueID=" + lngRecordID;
				
				m_objRef.OpenModalWindow(strUrl, 1000, 510);
			}else{
				alert(m_objRef.MSG_SELECT_REC_REVHIST);
			}
		}
		</script>
	</head>
	<body onload="loaded=true;initialized=true;Page_OnLoad();" vlink="#008000" link="#008000" 
		class="TabsBody" leftmargin="3" bottommargin="0" onresize="Page_OnResize();" > 
		<table width="100%" height="30" cellpadding="0" 
		    cellspacing="0" border="0" >
			<tr>
				<td valign="bottom" >
					<div id="divIncludeScript">
						<script>								
							document.write('<script type="text/javascript" src="../Js/'+strTabJs +'"><\/script>');					
						</script>					
					</div>
					
					<div id="divTabStrip">
					</div>
					<script type="text/javascript">
						if(m_objRef.objFeatures.getFeature(m_objRef.FEATURE_RECORD)){
							m_objTabsMgr.SetTabStripContainer(window);
							m_objTabsMgr.SetTabPageContainer(m_objRef.Record);
						}
					</script>	
			    </td>

				<td class="TabsBorder" align="center" width="100%" id="TabsActions">
					<div id="divSLPagingHidden" style="display:none; height:0px">&#160;</div>
					<div id="divSLPaging" style="display:none">
						<table height="26" border="0" cellpadding="0" cellspacing="0">
							<tr >
								<script type="text/javascript">
									if (m_objRef.objFeatures.getFeature(m_objRef.FEATURE_SUMLIST)){
									    if(m_objControlsUi){
  										var strOutput;
  										strOutput="";
  										strOutput+=m_objControlsUi.addControl(m_objRef.CONTROL_MOVEFIRST,false);
  										strOutput+=m_objControlsUi.addControl(m_objRef.CONTROL_PAGEDOWN,false);
  										strOutput+="<td ><div class='PageNavigation' id='PageCaption' >";
  										if (m_objRef.objControls){
											   strOutput+=m_objRef.objControls.getPageCaption();
											}
  										strOutput+="<\/div><\/td>";
  										strOutput+=m_objControlsUi.addControl(m_objRef.CONTROL_PAGEUP,false); 
  										strOutput+=m_objControlsUi.addControl(m_objRef.CONTROL_MOVELAST,false);
  										document.write(strOutput);
										}
									}
			
								</script>
							</tr>
						</table>
					</div>
				</td>
				<td class="TabsBorder" >
					<div id="divSLExpClps"  style="display:none">
						<table width="100%" height="29" border="0" cellpadding="0" cellspacing="0">
                
							<tr >
								<script type="text/javascript">
										if (m_objRef.objFeatures.getFeature(m_objRef.FEATURE_SUMLIST) && m_objRef.objFeatures.getFeature(m_objRef.FEATURE_RECORD)){
						                
											var strHTMLButtons;
												
    										strHTMLButtons="<td>";
											strHTMLButtons+=m_objMqButton.GetButtonHTML("UpDown","m_objRef.moveTabFrame(-5);","UpDown",false,m_objMqButton.STATE_2,m_objRef.TOOLTIP_BTN_SHRINK_SUMMARY_LIST);
											strHTMLButtons+="<\/td><td>";
											strHTMLButtons+=m_objMqButton.GetButtonHTML("UpDown","m_objRef.moveTabFrame(5);","UpDown",false,m_objMqButton.STATE_1,m_objRef.TOOLTIP_BTN_EXPAND_SUMMARY_LIST);
											strHTMLButtons+="<\/td><td>";
											strHTMLButtons+=m_objMqButton.GetButtonHTML("MaxMinSL","m_objRef.MaximizeSL(true);","MaxMinSL",false,m_objMqButton.STATE_1,m_objRef.TOOLTIP_BTN_MAXIMIZE_SUMMARY_LIST);
											
											strHTMLButtons+="<\/td>";
										
											document.write(strHTMLButtons);
											
											lngClipsObjWidth = 130;
										}
								</script>
								
							</tr>
						</table>
					</div>
				</td>
				<!--td class="TabsBorder" valign="bottom">
					<div style="width:120px;padding-bottom:1px;padding-right:2px;display:none;" id="cmdViewHistory" name="cmdViewHistory">
					<script type="text/javascript">
						m_objMqButton.WriteTextButtonHTML("cmdViewHistory","View History", "OpenRevHistWindow();", "", 24, "padding-bottom:0px;", "", 120);
					</script>
					</div>						
				</td-->
			</tr>
			
		</table>
	<script>
	var DIV_PAGING = 'divSLPaging';
	if(document.getElementById(DIV_PAGING)){		
		lngPagingObjWidth = 200;	
	}
	
	setTimeout(ShowTabs,2500);
	</script>
		
	</body>
</html>
